---
tags: ["email"]
---
# Configuration des emails

dokos dispose d'un système d'envoi et de réception des emails.
Vous pouvez configurer des comptes d'envoi et de réception par défaut ainsi que des comptes pour chacun de vos utilisateurs.

## 1. Nom de domaine email

Lors de la configuration de votre compte email vous devez commencer par enregistrer les paramètres de connexion à votre fournisseur d'email.
Si plusieurs utilisateurs ont un nom de domaine commun, il est recommandé de créer un nom de domaine email dans dokos pour faire ce paramétrage une seule fois.

Allez dans `Paramètres > Nom de domaine email` et créez un nouveau document de paramètrage.

### 1.1. Général

- **Exemple d'adresse email**: Saisissez un exemple correspondant à votre nom de domaine. Ex. `hello@dokos.io`

### 1.1. Emails entrants

- **Serveur email entrant**: Enregistrez les paramètres fournis par votre fournisseur d'email ou l'hébergeur de votre serveur email
  Ex. `imap.gmail.com`, `SSL0.OVH.NET`,...

- Si les paramètres ci-dessus correspondent au protocole IMAP, cochez la case **Utiliser IMAP**

- Si vous souhaitez utiliser le protocole SSL pour la réception de vos emails, cochez la case **Utiliser SSL**

- Définissez le port à utiliser pour recevoir les emails.
  Si vous ne renseignez pas ce champ, dokos utilisera les ports standards définis par la librairie [imaplib](https://docs.python.org/3.6/library/imaplib.html) si vous utilisez le protocole IMAP ou la libraire [poplib](https://docs.python.org/3.6/library/poplib.html) sinon.

- Définissez un taille maximale pour les pièces jointes
  > Ancienne API non utilisée actuellement - va être dépréciée

### 1.2. Emails sortants

- **Serveur email sortant**
  Enregistrez les paramètres fournis par votre fournisseur d'email ou l'hébergeur de votre serveur email
  Ex. `smtp.gmail.com`, `SSL0.OVH.NET`,...

- Si vous souhaitez utiliser le protocole SSL pour l'envoi de vos emails, cochez la case **Utiliser TLS**

- Définissez le port à utiliser pour recevoir les emails.
  Si vous ne renseignez pas ce champ, dokos utilisera le port 587.


## 2. Compte email

Vous pouvez créer un ou plusieurs comptes emails pour vous et vos collaborateurs.
Si vous souhaitez que dokos envoie automatiquement des emails (notifications, rapports hebdomadaires, etc...) il faudra également créer au moins une boîte d'envoi par défaut.

### 2.1. Nouveau compte email

- **Adresse email**: Entrez l'adresse email du compte que vous souhaitez ajouter dans dokos
- **Utiliser un email d'identification différent**: Si l'adresse email de connexion à votre compte n'est pas celle renseignée dans le champ précédent, définissez là dans le champ **Identifiant de connexion à la boîte email**.
  Ex. Votre adresse courante est `jean@masociete.com` mais l'identifiant de connexion est `jean123456`.
- **Mot de passe**: Le mot de passe de connexion à votre compte email
- **En attente du mot de passe**: Si vous créez un compte email pour vos collaborateurs sans connaître leur mot de passe, cochez cette case.
  Lors de leur prochaine connexion, un popup leur demandera de définir leur mot de passe pour que leur compte email puisse se connecter à votre serveur d'emails.
- **Encoder le mot de passe en ASCII**: A cocher si votre fournisseur d'emails requiert des mots de passe encodés en ASCII.
- **Nom du compte email**: Choisissez un nom pour ce compte email. Ex. `Notifications` ou `Jean Dupond`
- **Domaine** ou **Service**: Si vous avez configuré un domaine email, sélectionnez le ici, sinon vous pouvez choisir un des services proposés ou bien laisser ces deux champs vides pour configurer manuellement vos paramètres d'accès à vos comptes email.

### 2.2. Réception d'emails

- **Recevoir les emails de ce compte**: cochez cette case si vous souhaitez recevoir les emails de ce compte email
- Pour les éléments de paramétrage du compte, voir la section concernant les noms de domaine email (**Utiliser IMAP**, **Serveur email**, **Utiliser SSL**, **Port**, **Taille maximale de la pièce jointe**)
- **Ajouter à**: Tous les emails envoyés à cette adresse seront directement liés à un document existant ou à un nouveau document de ce type de document.
  Cela peut être utile, par exemple, pour créer une nouvelle opportunité à chaque fois que quelqu'un envoie un email à une adresse de type `commercial@masociete.com`.
  Vous pouvez ajouter de nouveaux types de document via le hook `email_append_to` dans une application personnalisée.
- **Définir comme étant le compte d'email entrant par défaut**: Permet d'avoir une email de réponse générique (champ `reply-to` des emails) si le compte d'envoi ne permet pas de recevoir des emails.
- **Option de synchronisation d'email**: Choisissez entre `TOUS` et `NON LUS` pour la première synchronisation de votre boîte email.
  `TOUS` récupérera les x derniers emails de votre boîte email, tandis que `NON LUS` récupérera les x derniers emails non lus de votre boîte email.
- **Nbre d'emails à récupérer lors de la synchronisation initiale**: Sélectionnez le nombre d'emails à récupérer lors de la synchronisation initiale.

### 2.3. Liens automatiques

Après activation de cette option, dokos va générer une adresse email spécifique pour chaque document.

![automatic link](/images/setup/email_configuration/automatic_link.png)

Si vous envoyez un email à cette adresse, celui-ci sera automatiquement lié au document correspondant.

Cette option ne fonctionne qu'avec un seul compte email.

### 2.4. Notifications en l'absence de réponse

Vous pouvez configurer l'envoi d'une notification si vous n'avez pas reçu de réponse au bout de x minutes.

- Cochez la case **Notifier si aucune réponse**
- Définissez la période de temps avant de déclencher la notification (en minutes).

:::tip Astuce
Si vous souhaitez mettre une durée de plusieurs jours, utilisez la calculatrice intégrée aux champs de dokos.
Ex. Pour 2 jours, entrez `60*24*2` et dokos pourra calculer le nombre de minutes.
:::

- **Envoyer une notification à**: Ajoutez les adresses emails des personnes concernées par cette notification

### 2.5. Envoi d'emails

- Si vous souhaitez que ce compte email envoie des emails, cochez la case **Envoyer des emails depuis ce compte**.
- Pour les éléments de paramétrage du compte, voir la section concernant les noms de domaine email (**Serveur SMTP**, **Utiliser TLS**, **Port**)
- **Définir comme étant le compte d'emails sortants par défaut**: En cochant cette case, vous définissez ce compte email comme étant le compte email par défaut de votre instance dokos. Tous les emails envoyés automatiquement par le système ou par des utilisateurs sans compte email attribué passeront par ce compte.
- **Toujours utiliser l'adresse email du compte comme expéditeur**: Lorsque vos emails sont envoyés, l'adresse email de ce compte est utilisée comme nom d'expéditeur. C'est l'option recommandée lorsque votre nom comporte des caractères spéciaux pour éviter de terminer dans les spams de votre destinataire.
- **Toujours utiliser le nom du compte en tant que nom d'expéditeur**: Lorsque vos emails sont envoyés, le nom du compte email est utilisé comme nom d'expéditeur. Cette option est prioritaire par rapport à l'option ci-dessus.
- **Ajouter un lien de désabonnement dans les emails**: Ajoute un lien `Se désinscrire` en bas de chaque email
- **État du courrier électronique**: Si vous cochez cette case, dokos vous indiquera si votre email a été lu par votre destinataire. Si vous l'envoyez à plusieurs destinataires, il suffit qu'un seul le lise pour qu'il soit considéré comme lu.
- **Désactiver l'authentification sur le server SMTP**: Option pour les serveurs SMTP sans authentification.

### 2.6. Signature

Cette signature sera ajoutée au dessus du pied de page et sous la signature individuelle de l'utilisateur envoyant l'email.

:::tip A savoir
La signature d'un email peut être composé de 2 niveau dans dokos:
- La signature de l'utilisateur - `Utilisateurs et autorisations > Utilisateur`
- La signature du compte email - `Paramètres > Compte email`
:::

### 2.7. Réponses automatiques

Vous pouvez activer cette option pour envoyer une réponse automatique lorsque vous recevez un email.
Vous pouvez formater votre message avec des variables en utilisant le language <a href="https://palletsprojects.com/p/jinja/" target="_blank">Jinja</a>.
Le type de document de référence est une `Communication`.

### 2.8. Pied de page

Vous pouvez définir un pied de page qui apparaîtra au dessus du pied de page global défini dans les paramètres système.

:::tip A savoir
Le pied de page d'un email peut être composé de 3 niveaux dans dokos:
- Le pied de page du compte email - `Paramètres > Compte email`
- Le pied de page global de l'instance - `Paramètres > Paramètres Système`
- Le pied de page standard de dokos - `Paramètres > Paramètres Système`
:::
